import { Selector, createSelector } from '@ngrx/store';

export interface State {
  blockPagesContent: boolean;
}

export const initialState: State = {
  blockPagesContent: false,
};

export function getSelectors<S>(selector: Selector<any, State>) {
  return {
    selectBlockPagesContent: createSelector(selector, (state: State) => state.blockPagesContent),
  };
}
